Subject: Re: bug#61514: 30.0.50; sadistically long xml line hangs emacs

From: Dmitry Gutov <[email-masked]>
Date: Wed, 15 Feb 2023 14:20:18 +0200

On 15/02/2023 10:39, Gregory Heytings wrote:
>> The point is that whether it is a bug in emacs "in general", in nXML, 
>> or in glibc. The point is that there is a regression in how emacs 
>> behaves when loading this file with long lines.
>>
> 
> Nobody is saying that there is no bug here.  I was only pointing out 
> that the bug is not "in Emacs", it is in the fontification routines of a 
> specific mode.  If you turn fontification off, you will see that Emacs 
> 30 behaves much better than Emacs 28.

It sounds like the bug lies somewhere in the intersection of nXML and 
the new long line fontification handling in Emacs 29 (with narrowing, 
perhaps)?

Which part is ultimately "at fault", is a matter of perspective.

In practice, I guess it will depend on which of them is easier to fix.